package de.mrbesen.telegram.objects;

import org.json.JSONObject;

import de.mrbesen.telegram.objects.JSONBased.Member;

public class TAudio extends TDocument {
	private int duration;
	
	public TAudio(JSONObject o) {
		super(o);
		duration = o.getInt("duration");
		allowedmembers = new Member[] {Member.performer, Member.title, Member.mime_type, Member.file_size};
	}

	public int getDuration() {
		return duration;
	}
}
